VULKAN_HPP_NAMESPACE::DeviceGroupRenderPassBeginInfo Struct Reference

`#include <vulkan.hpp>`

Collaboration diagram for VULKAN_HPP_NAMESPACE::DeviceGroupRenderPassBeginInfo:
[legend]

## Public Member Functions

| DeviceGroupRenderPassBeginInfo (uint32_t deviceMask_=0, uint32_t deviceRenderAreaCount_=0, const Rect2D *pDeviceRenderAreas_=nullptr)
| DeviceGroupRenderPassBeginInfo (VkDeviceGroupRenderPassBeginInfo const &rhs)
DeviceGroupRenderPassBeginInfo & | operator= (VkDeviceGroupRenderPassBeginInfo const &rhs)
DeviceGroupRenderPassBeginInfo & | setPNext (const void *pNext_)
DeviceGroupRenderPassBeginInfo & | setDeviceMask (uint32_t deviceMask_)
DeviceGroupRenderPassBeginInfo & | setDeviceRenderAreaCount (uint32_t deviceRenderAreaCount_)
DeviceGroupRenderPassBeginInfo & | setPDeviceRenderAreas (const Rect2D *pDeviceRenderAreas_)
| operator VkDeviceGroupRenderPassBeginInfo const & () const
| operator VkDeviceGroupRenderPassBeginInfo & ()
bool | operator== (DeviceGroupRenderPassBeginInfo const &rhs) const
bool | operator!= (DeviceGroupRenderPassBeginInfo const &rhs) const

## Data Fields

const void * | pNext = nullptr
uint32_t | deviceMask
uint32_t | deviceRenderAreaCount
const Rect2D * | pDeviceRenderAreas

## Private Attributes

StructureType | sType = StructureType::eDeviceGroupRenderPassBeginInfo

## Detailed Description

Definition at line 14522 of file vulkan.hpp.

## Constructor & Destructor Documentation

## DeviceGroupRenderPassBeginInfo() [1/2]

VULKAN_HPP_NAMESPACE::DeviceGroupRenderPassBeginInfo::DeviceGroupRenderPassBeginInfo | ( | uint32_t | deviceMask_ = `0`,
|  | uint32_t | deviceRenderAreaCount_ = `0`,
|  | const Rect2D * | pDeviceRenderAreas_ = `nullptr`
| ) |  |

inline

Definition at line 14524 of file vulkan.hpp.

: deviceMask( deviceMask_ )
, deviceRenderAreaCount( deviceRenderAreaCount_ )
, pDeviceRenderAreas( pDeviceRenderAreas_ )
{
}

## DeviceGroupRenderPassBeginInfo() [2/2]

VULKAN_HPP_NAMESPACE::DeviceGroupRenderPassBeginInfo::DeviceGroupRenderPassBeginInfo | ( | VkDeviceGroupRenderPassBeginInfo const & | rhs | ) |

inline

Definition at line 14533 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( DeviceGroupRenderPassBeginInfo ) );
}

References memcpy.

## Member Function Documentation

## operator VkDeviceGroupRenderPassBeginInfo &()

VULKAN_HPP_NAMESPACE::DeviceGroupRenderPassBeginInfo::operator VkDeviceGroupRenderPassBeginInfo & | ( |  | ) |

inline

Definition at line 14572 of file vulkan.hpp.

{
return *reinterpret_cast<VkDeviceGroupRenderPassBeginInfo*>(this);
}

## operator VkDeviceGroupRenderPassBeginInfo const &()

VULKAN_HPP_NAMESPACE::DeviceGroupRenderPassBeginInfo::operator VkDeviceGroupRenderPassBeginInfo const & | ( |  | ) | const

inline

Definition at line 14567 of file vulkan.hpp.

{
return *reinterpret_cast<const VkDeviceGroupRenderPassBeginInfo*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::DeviceGroupRenderPassBeginInfo::operator!= | ( | DeviceGroupRenderPassBeginInfo const & | rhs | ) | const

inline

Definition at line 14586 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator=()

DeviceGroupRenderPassBeginInfo& VULKAN_HPP_NAMESPACE::DeviceGroupRenderPassBeginInfo::operator= | ( | VkDeviceGroupRenderPassBeginInfo const & | rhs | ) |

inline

Definition at line 14538 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( DeviceGroupRenderPassBeginInfo ) );
return *this;
}

References memcpy.

## operator==()

bool VULKAN_HPP_NAMESPACE::DeviceGroupRenderPassBeginInfo::operator== | ( | DeviceGroupRenderPassBeginInfo const & | rhs | ) | const

inline

Definition at line 14577 of file vulkan.hpp.

{
return ( sType == rhs.sType )
&& ( pNext == rhs.pNext )
&& ( deviceMask == rhs.deviceMask )
&& ( deviceRenderAreaCount == rhs.deviceRenderAreaCount )
&& ( pDeviceRenderAreas == rhs.pDeviceRenderAreas );
}

References deviceMask, deviceRenderAreaCount, pDeviceRenderAreas, pNext, and sType.

Referenced by operator!=().

## setDeviceMask()

DeviceGroupRenderPassBeginInfo& VULKAN_HPP_NAMESPACE::DeviceGroupRenderPassBeginInfo::setDeviceMask | ( | uint32_t | deviceMask_ | ) |

inline

Definition at line 14549 of file vulkan.hpp.

{
deviceMask = deviceMask_;
return *this;
}

References deviceMask.

## setDeviceRenderAreaCount()

DeviceGroupRenderPassBeginInfo& VULKAN_HPP_NAMESPACE::DeviceGroupRenderPassBeginInfo::setDeviceRenderAreaCount | ( | uint32_t | deviceRenderAreaCount_ | ) |

inline

Definition at line 14555 of file vulkan.hpp.

{
deviceRenderAreaCount = deviceRenderAreaCount_;
return *this;
}

References deviceRenderAreaCount.

## setPDeviceRenderAreas()

DeviceGroupRenderPassBeginInfo& VULKAN_HPP_NAMESPACE::DeviceGroupRenderPassBeginInfo::setPDeviceRenderAreas | ( | const Rect2D * | pDeviceRenderAreas_ | ) |

inline

Definition at line 14561 of file vulkan.hpp.

{
pDeviceRenderAreas = pDeviceRenderAreas_;
return *this;
}

References pDeviceRenderAreas.

## setPNext()

DeviceGroupRenderPassBeginInfo& VULKAN_HPP_NAMESPACE::DeviceGroupRenderPassBeginInfo::setPNext | ( | const void * | pNext_ | ) |

inline

Definition at line 14543 of file vulkan.hpp.

{
pNext = pNext_;
return *this;
}

References pNext.

## Field Documentation

## deviceMask

uint32_t VULKAN_HPP_NAMESPACE::DeviceGroupRenderPassBeginInfo::deviceMask

Definition at line 14596 of file vulkan.hpp.

Referenced by operator==(), and setDeviceMask().

## deviceRenderAreaCount

uint32_t VULKAN_HPP_NAMESPACE::DeviceGroupRenderPassBeginInfo::deviceRenderAreaCount

Definition at line 14597 of file vulkan.hpp.

Referenced by operator==(), and setDeviceRenderAreaCount().

## pDeviceRenderAreas

const Rect2D* VULKAN_HPP_NAMESPACE::DeviceGroupRenderPassBeginInfo::pDeviceRenderAreas

Definition at line 14598 of file vulkan.hpp.

Referenced by operator==(), and setPDeviceRenderAreas().

## pNext

const void* VULKAN_HPP_NAMESPACE::DeviceGroupRenderPassBeginInfo::pNext = nullptr

Definition at line 14595 of file vulkan.hpp.

Referenced by operator==(), and setPNext().

## sType

StructureType VULKAN_HPP_NAMESPACE::DeviceGroupRenderPassBeginInfo::sType = StructureType::eDeviceGroupRenderPassBeginInfo

private

Definition at line 14592 of file vulkan.hpp.

Referenced by operator==().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VULKAN_HPP_NAMESPACE::DeviceGroupRenderPassBeginInfo::deviceRenderAreaCount
uint32_t deviceRenderAreaCount
Definition: vulkan.hpp:14597
VULKAN_HPP_NAMESPACE::DeviceGroupRenderPassBeginInfo::operator==
bool operator==(DeviceGroupRenderPassBeginInfo const &rhs) const
Definition: vulkan.hpp:14577
VULKAN_HPP_NAMESPACE::DeviceGroupRenderPassBeginInfo::pDeviceRenderAreas
const Rect2D * pDeviceRenderAreas
Definition: vulkan.hpp:14598
memcpy
#define memcpy
Definition: SDL_malloc.c:630
VkDeviceGroupRenderPassBeginInfo
Definition: vulkan_core.h:4057
VULKAN_HPP_NAMESPACE::DeviceGroupRenderPassBeginInfo::pNext
const void * pNext
Definition: vulkan.hpp:14595
VULKAN_HPP_NAMESPACE::DeviceGroupRenderPassBeginInfo::deviceMask
uint32_t deviceMask
Definition: vulkan.hpp:14596
VULKAN_HPP_NAMESPACE::DeviceGroupRenderPassBeginInfo::DeviceGroupRenderPassBeginInfo
DeviceGroupRenderPassBeginInfo(uint32_t deviceMask_=0, uint32_t deviceRenderAreaCount_=0, const Rect2D *pDeviceRenderAreas_=nullptr)
Definition: vulkan.hpp:14524
VULKAN_HPP_NAMESPACE::DeviceGroupRenderPassBeginInfo::sType
StructureType sType
Definition: vulkan.hpp:14592